Ivanovo Linux Users Group - Not logged in
Forum Help Search Login
Previous Next Up Topic Jabber / Клиентское ПО / psi 0.12 на bluewhite64 help (5867 hits)
- By Ilya Date 08.02.09 11:49
Переехал с слаки 12.1 на bluewhite64 12.2, возникли проблемы со сборкой psi


,-(~/programs/psi-0.12)-(ilya@bluewhite64)-`--> gmake
cd third-party/qca/ && gmake -f Makefile
gmake[1]: Entering directory `/home/ilya/programs/psi-0.12/third-party/qca'
gmake[1]: Цель `first' не требует выполнения команд.
gmake[1]: Leaving directory `/home/ilya/programs/psi-0.12/third-party/qca'
cd src/ && gmake -f Makefile
gmake[1]: Entering directory `/home/ilya/programsi/psi-0.12/src'
g++ -c -m64 -pipe -O2 -D_REENTRANT -Wall -W -DQT_STATICPLUGIN -DQCA_NO_PLUGINS -DOSSL_097 -DHAVE_OPENSSL -DQCA_SYSTEMSTORE_PATH=\"/usr/local/share/psi/certs/rootcerts.pem\" -DHAVE_XSS -DHAVE_GETHOSTBYNAME_R -DHAVE_ASPELL -DHAVE_CONFIG -DUSE_PEP -DTC_PSIFILE -DQCA_STATIC -DXMPP_TEST -DUSE_DBUS -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib/qt-3.3.8b/mkspecs/linux-g++-64 -I. -I/usr/lib/qt-3.3.8b/include/QtCore -I/usr/lib/qt-3.3.8b/include/QtCore -I/usr/lib/qt-3.3.8b/include/QtNetwork -I/usr/lib/qt-3.3.8b/include/QtNetwork -I/usr/lib/qt-3.3.8b/include/QtGui -I/usr/lib/qt-3.3.8b/include/QtGui -I/usr/lib/qt-3.3.8b/include/QtXml -I/usr/lib/qt-3.3.8b/include/QtXml -I/usr/lib/qt-3.3.8b/include/Qt3Support -I/usr/lib/qt-3.3.8b/include/Qt3Support -I/usr/lib/qt-3.3.8b/include -I/usr/lib/qt-3.3.8b/include/QtDBus -I../cutestuff/util -I../cutestuff/network -I../cutestuff/legacy -Iprivacy -Icapabilities -Iutilities -Itabs -Itools/trayicon -Itools/iconset -Itools/idle -Itools/systemwatch -Itools/zip -Itools/optionstree -Itools/globalshortcut -Itools/advwidget -Itools/spellchecker -Itools/contactlist -Itools/grepshortcutkeydlg -Itools/atomicxmlfile -Itools/tunecontroller -Itools/tunecontroller/plugins/psifile -I../third-party/qca/qca/include/QtCrypto -I../third-party/qca/qca-gnupg/gpgproc -I../third-party/qca/qca-gnupg -Iwidgets -I../iris -I../iris/include -I../iris/xmpp-core -I../iris/xmpp-im -I../iris/jabber -Ioptions -I. -I.moc -I/usr/include -I.ui -o .obj/qca-ossl.o ../third-party/qca/qca-ossl/qca-ossl.cpp
../third-party/qca/qca-ossl/qca-ossl.cpp: In function ‘X509_EXTENSION* opensslQCAPlugin::new_subject_key_id(X509*)’:
../third-party/qca/qca-ossl/qca-ossl.cpp:330: предупреждение: deprecated conversion from string constant to ‘char*’
../third-party/qca/qca-ossl/qca-ossl.cpp: In member function ‘virtual QCA::Provider::Context* opensslProvider::createContext(const QString&)’:
../third-party/qca/qca-ossl/qca-ossl.cpp:6815: ошибка: нет декларации ‘EVP_whirlpool’ в этой области видимости
gmake[1]: *** [.obj/qca-ossl.o] Ошибка 1
gmake[1]: Leaving directory `/home/ilya/programs/psi-0.12/src'
gmake: *** [sub-src-make_default] Ошибка 2
,-(~/programs/psi-0.12)-(ilya@bluewhite64)-`-->


С опцией --disable-openssl, все отлично собралось, но с google talk без ssl не подключиться

Вообщем помогите ;-)
Parent - By LOE (Site/forum admin) Date 08.02.09 18:42
PSI-0.12 требует qt4 и qca-2
Т.е. надо куда-то поставить qt4 и qca 2.0
В свое время qt4 я ставил в /opt/qt4 (чтоб не мешал системному qt3) и конфигурил psi, указывая /opt/qt4

Сейчас-же, поставив KDE4.2 (а с ним и qt4) штатно, компилю qca : ./configure --prefix=/usr и устанавливаю
потом psi : ./configure --prefix=/opt/psi --disable-bundled-qca и устанавливаю.

ву-а-ля :-)
"No! Try not! Do. Or do not. There is no try." -- Yoda
Parent By Ilya Date 08.02.09 19:11
Спб,
с --disable-bundled-qca все собралось,
блин полдня убил, а так все просто оказалось :-)
Previous Next Up Topic Jabber / Клиентское ПО / psi 0.12 на bluewhite64 help (5867 hits)

Powered by mwForum 2.12.0 © 1999-2007 Markus Wichitill

Page created in 0.333s with 10 database queries.